Bug 1432155 - Regression: Unable to list packages in a Content View within a Lifecycle Environment
Summary: Regression: Unable to list packages in a Content View within a Lifecycle Envi...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Chris Duryee
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Keywords: PrioBumpGSS, Regression, Reopened, Triaged
: 1624404 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-14 16:34 UTC by Mike McCune
Modified: 2019-04-01 20:27 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-16 18:55:15 UTC


Attachments (Terms of Use)
screenshot (78.09 KB, image/png)
2017-03-14 16:43 UTC, Mike McCune
no flags Details
screen record (391.55 KB, application/octet-stream)
2018-09-12 13:36 UTC, Nikhil Kathole
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 24769 None None None 2018-08-30 23:05 UTC

Description Mike McCune 2017-03-14 16:34:26 UTC
1) Sync some content into the Library
2) Create a content view, add a yum based repo to said CV
3) Publish CV
4) Navigate to Lifecycle Environments -> Library
5) Click Packages
6) Select CV to filter list of repositories you will see
7) Type a package name, note list does not render and you get this error on the server side:

2017-03-14 12:22:45 [app] [I] Processing by Katello::Api::V2::PackagesController#index as JSON
2017-03-14 12:22:45 [app] [I]   Parameters: {"content_view_version_id"=>"7", "environment_id"=>"1", "library"=>"true", "page"=>"1", "search"=>"", "api_version"=>"v2"}
2017-03-14 12:22:45 [app] [E] PG::Error: ERROR:  bind message supplies 2 parameters, but prepared statement "a16" requires 1
 | 
Will attach screenshot as well

Comment 3 Mike McCune 2017-03-14 16:43 UTC
Created attachment 1263018 [details]
screenshot

Comment 8 Bryan Kearney 2017-09-18 16:53:18 UTC
We can not reproduce on 6.3. I am closing this out.  If this was incorrect, please feel free to re-open.

Comment 9 Djebran Lezzoum 2017-09-21 10:08:01 UTC
qe_test_coverage PR: https://github.com/SatelliteQE/robottelo/pull/5288

Comment 10 Andrii Balakhtar 2018-08-16 08:31:43 UTC
Reproducible on Sat6.4 SNAP 17, same steps, same 500 Error, production.log contains following message:

2018-08-16T10:26:23 [I|app|] Started GET "/katello/api/v2/packages?content_view_version_id=105&environment_id=99&page=1&paged=true&per_page=20&search=bear" for 10.36.117.31 at 2018-08-16 10:26:23 +0200
2018-08-16T10:26:23 [I|app|762a0] Processing by Katello::Api::V2::PackagesController#index as JSON
2018-08-16T10:26:23 [I|app|762a0]   Parameters: {"content_view_version_id"=>"105", "environment_id"=>"99", "page"=>"1", "paged"=>"true", "per_page"=>"20", "search"=>"bear", "api_version"=>"v2"}
2018-08-16T10:26:23 [I|app|762a0] Current user: lifecycleenvironment_ndKEChz8SJ (administrator)
2018-08-16T10:26:23 [E|app|762a0] ActiveModel::UnknownAttributeError: unknown attribute 'evr' for Class.
/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-4.1.3/lib/scoped_search/definition.rb:116:in `column'
/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-4.1.3/lib/scoped_search/definition.rb:123:in `type'
/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-4.1.3/lib/scoped_search/definition.rb:254:in `block in default_fields_for'
/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-4.1.3/lib/scoped_search/definition.rb:254:in `select'
/opt/theforeman/tfm/root/usr/share/gems/gems/scoped_search-4.1.3/lib/scoped_search/definition.rb:254:in `default_fields_for'

...

/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `block in create_with_logging_context'
2018-08-16T10:26:24 [I|app|67ff9] Completed 500 Internal Server Error in 35ms (Views: 0.3ms | ActiveRecord: 4.1ms)

Comment 14 pm-sat@redhat.com 2018-08-31 00:03:39 UTC
Upstream bug assigned to cduryee@redhat.com

Comment 15 pm-sat@redhat.com 2018-08-31 00:03:43 UTC
Upstream bug assigned to cduryee@redhat.com

Comment 16 pm-sat@redhat.com 2018-08-31 16:03:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24769 has been resolved.

Comment 18 Brad Buckingham 2018-09-06 20:25:38 UTC
*** Bug 1624404 has been marked as a duplicate of this bug. ***

Comment 19 Nikhil Kathole 2018-09-12 13:35:41 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 21

2018-09-12T09:34:11 [I|app|] Started GET "/katello/api/v2/packages?content_view_version_id=4&environment_id=1&page=1&paged=true&per_page=20&repository_id=43&search=+clone" for IP at 2018-09-12 09:34:11 -0400
2018-09-12T09:34:11 [I|app|ab755] Processing by Katello::Api::V2::PackagesController#index as JSON
2018-09-12T09:34:11 [I|app|ab755]   Parameters: {"content_view_version_id"=>"4", "environment_id"=>"1", "page"=>"1", "paged"=>"true", "per_page"=>"20", "repository_id"=>"43", "search"=>" clone", "api_version"=>"v2"}
2018-09-12T09:34:11 [I|app|ab755] Current user: admin (administrator)
2018-09-12T09:34:11 [I|app|ab755]   Rendering /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.25/app/views/katello/api/v2/packages/index.json.rabl within katello/api/v2/layouts/collection
2018-09-12T09:34:11 [I|app|ab755]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.25/app/views/katello/api/v2/packages/index.json.rabl within katello/api/v2/layouts/collection (15.3ms)
2018-09-12T09:34:11 [I|app|ab755] Completed 200 OK in 50ms (Views: 12.3ms | ActiveRecord: 14.6ms)

Comment 20 Nikhil Kathole 2018-09-12 13:36 UTC
Created attachment 1482687 [details]
screen record

Comment 21 Bryan Kearney 2018-10-16 18:55:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.